/*
 *      main.h
 *      
 *      Copyright 2008 Tuxgasy <tuxgasy@tuxfamily.org>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef DEF_MAIN
#define DEF_MAIN

#define VERSION_GLDA	"0.5.2"

#define DIR_USER_CONFIG		"/.glda"
#define FILE_USER_CONFIG	"/glda.conf"

#define ICON_GLDA "/usr/share/pixmaps/glda.png"
#define LICENSE_FILE "/usr/share/doc/glda/copyright"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <libxml/tree.h>
#include <libxml/parser.h>
#include <libxml/xpath.h>
#include <glib.h>
#include <glib/gi18n.h>
#include <gtk/gtk.h>

typedef struct glda glda;
struct glda{
	gchar *filesave;
	
	/* Save or no */
	gboolean isSave;
	
	/* User's config */
	GKeyFile *pConfig;
	
	/* list of products */
	xmlDocPtr xmlDocListProducts;
	
	/* Main window */
	GtkWidget *pWindow;
	
	/* Recent open */
	GtkWidget *pSubMenuRecentOpen;
	GtkWidget *pSubMenuRecentOpen2;
	GtkRecentManager *pManager;
	
	/* category and subcategory */
	GtkTreeStore *pTreeStoreCategory;
	GtkTreeSelection *selectCategory;
	
	/* products */
	GtkTreeViewColumn *pColumnPriceProducts;
	GtkListStore *pTreeStoreProducts;
	GtkTreeSelection *selectProducts;
	
	/* products added */
	GtkTreeViewColumn *pColumnPriceProductsAdded;
	GtkTreeViewColumn *pColumnQuantityProductsAdded;
	GtkListStore *pTreeStoreProductsAdded;
	GtkTreeSelection *selectProductsAdded;
	
	/* Total */
	GtkWidget *pLabelNumberTotalProducts;
	GtkWidget *pLabelPriceTotalProducts;
	gint nbTotalProducts;
	gdouble priceTotalProducts;
	
	/* Statusbar */
	GtkWidget *pStatusBar;
	/*Statusbar's text */
	gchar *pTextStatusbar;
};

glda *initGlda(gchar *filename);

void freeGlda(glda* pGlda);

#endif
